Subject: Scan buffercache for a table

From: Amin <[email-masked]>
Date: Mon, 30 Jan 2023 18:01:08 -0800

Hi,

I am looking for function calls to scan the buffer cache for a table and
find the cached pages. I want to find out which pages are cached and which
of them are dirty. Having the relation id, how can I do that? I have gone
through bufmgr.c and relcache.c, but could not find a way to get
relation-specific pages from the buffer cache.

Thank you!